package com.akamai.androidmdt.androidsdkdemo;

import android.app.Fragment;
import android.os.Bundle;
import android.support.annotation.Nullable;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.SeekBar;
import android.widget.TextView;

/**
 * Created by pverneka on 4/23/15.
 */
public class PlayerSeekControls extends Fragment implements SeekBar.OnSeekBarChangeListener {

    private SeekBar seekBar;
    private TextView durationTxt;
    private TextView positionTxt;
    private PlayerActivity parent;

    @Nullable
    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        View view = inflater.inflate(R.layout.playerseekbar,container,false);
        seekBar = (SeekBar) view.findViewById(R.id.seekbar);
        durationTxt = (TextView) view.findViewById(R.id.duration_txt);
        positionTxt = (TextView) view.findViewById(R.id.position_txt);
        seekBar.setOnSeekBarChangeListener(this);
        return view;
    }

    //code for set
    public void setParent(PlayerActivity value){
        this.parent = value;
    }

    //code for set video duration to the seek bar
    public void setDuration(int duration){
        seekBar.setMax(duration);
        durationTxt.setText(getStringFromSeconds(duration));
    }

    //code for update progress based on position received
    public void setProgress(int position){
        if(position < seekBar.getMax()) {
            seekBar.setProgress(position);
            positionTxt.setText(getStringFromSeconds(position));
        }
    }


    //code for change seconds to minutes and format string
    private String getStringFromSeconds(int sg){
        String sRes = "00:00";

        int minutes = sg/60;
        if(minutes > 59){
            int hours = sg/3600;
            minutes = (sg%3600)/60;
            sRes = String.format("%02d:%02d", hours, minutes);
        }
        else{
            int seconds = sg%60;
            sRes = String.format("%02d:%02d", minutes, seconds);
        }

        return sRes;
    }



    @Override
    public void onProgressChanged(SeekBar seekBar, int progress, boolean fromUser) {

    }

    @Override
    public void onStartTrackingTouch(SeekBar seekBar) {

    }

    @Override
    public void onStopTrackingTouch(SeekBar seekBar) {
        int position = seekBar.getProgress();
        parent.seek(position);
        positionTxt.setText(getStringFromSeconds(position));
    }
}
